function th = hitting_times(t, y, y_crit)
% Function to find the times at which y = y_crit
% INPUTS:  t - vector of increasing t values
%          y - corresponding vector of y values
%          y_crit - critical y value
% OUTPUTS: th - vector of times at which y=y_crit
N = length(t);
th = zeros(N,1);
hits = 0;
% Loop through the vector of t and y values
for I = 1:N-1
    % Test if y cross y_crit between t(I) and t(I+1)
    if (y(I)-y_crit)*(y(I+1)-y_crit) <= 0
       hits = hits+1;
       % Interpolate between t(I) and t(I+1) to find the approximate hitting time
       th(hits) = t(I) + (t(I+1)-t(I))*(y_crit-y(I))/(y(I+1)-y(I));
    end
end
th=th(1:hits);   % truncate th to the number of hits found