clear
close all
x_min = 0;  x_max = 1;  y_min = 0;  y_max = 1;  t_min = 0;  t_max = 1;
u_min = 0; u_max = 1;
h = 0.05; dt = 0.01;

x = x_min:h:x_max;  y = y_min:h:y_max;  t = t_min:dt:t_max;
[X, Y] = meshgrid(x, y);
N_frames = length(t);
wait_time = 0.01;
figure
for I = 1:N_frames
  U = sin(pi*X)*exp(-t(I));
  surf(X, Y, U);
  axis([x_min x_max y_min y_max u_min u_max])
  title(sprintf('t=%4.2f\n',t(I)))
  pause(wait_time);
end