function f = my_bvp(y)
global x
% GLOBALS: x - a vector of N+1 equally spaced x values
% INPUTS: y - a vector of N+1 corresponding y values
% OUTPUTS: f - a vector containing the right-hand sides of the
%              system of N+1 equations in N+1 unknowns
alpha = 2;  beta = 1;  p = 1;  q = 0;   % define the constants
N = length(x)-1;       % number of lattice points
dx = (x(N+1)-x(1))/N;  % spacing between lattice points
f = zeros(N+1, 1);     % initialise f as a column vector of size N+1
f(1) = y(1)-alpha;     % first boundary condition
f(N+1) = y(N+1)-beta;  % second boundary condition
for I = 2:N
   f(I) = (y(I+1)+y(I-1)-2*y(I))/dx^2 + p*y(I)^2 + q;
end
